<div id="bannerApprovisionnement">
    <div class="col-sm">
      <h3>Enregistrer un achat</h3>
    </div>
  </div>

<div class="container">
  <form (ngSubmit)="onSubmit()">

      <div class="form-group">
        <select class="form-control" required [(ngModel)]="approvisionnement.stock" [ngModelOptions]="{standalone: true}">
            <option [ngValue]="undefined" hidden selected>Choisir un produit</option>
            <option *ngFor="let stock of stocks" [ngValue]="stock">{{stock.produit.nom}}</option>
        </select>
      </div>

      <div class="form-group">
          <select class="form-control" required [(ngModel)]="approvisionnement.fournisseur" [ngModelOptions]="{standalone: true}">
              <option [ngValue]="undefined" hidden selected>Choisir un fournisseur</option>
              <option *ngFor="let fournisseur of fournisseurs" [ngValue]="fournisseur">{{fournisseur.nom}}</option>
          </select>
      </div>

      <div class="form-group">
        <div class="input-group mb-2 mr-sm-2">
          <div class="input-group-prepend">
              <div class="input-group-text">Quantité </div>
          </div>
          <input type="text" class="form-control" required [(ngModel)]="approvisionnement.quantiteCommandee" [ngModelOptions]="{standalone: true}">
        </div>
      </div>

      <div class="form-group">
        <div class="input-group mb-2 mr-sm-2">
          <div class="input-group-prepend">
              <div class="input-group-text">Prix total </div>
          </div>
          <input type="text" class="form-control" required [(ngModel)]="approvisionnement.prix" [ngModelOptions]="{standalone: true}">
        </div>
      </div>

      <div class="form-group" id="datePicker">
        <input [matDatepicker]="myDatepicker" placeholder="Date de l'achat" [(ngModel)]="approvisionnement.dateApprovisionnement" [ngModelOptions]="{standalone: true}">
        <mat-datepicker-toggle [for]="myDatepicker"></mat-datepicker-toggle>
        <mat-datepicker #myDatepicker ></mat-datepicker>
        <button type="submit" class="btn btn-primary mb-2 pull-right">Enregistrer</button>
      </div>
 

  </form>
</div>

